How to find useful information for reporting a bug

Created by Olivier Girard on on 2013-03-16
Keywords:
model system information MLT Libopenshot FFmpeg Ubuntu
Last updated by:
Andy Finch on on 2013-04-25

English version

Beats, moderator of the Spanish section in our forum (thanks to him), has created a script to easily find the information needed to log a bug report (FAQ 2197). It is a simple Bash script that you must copy/paste in a file. Here's the code :

#!usr/bin/bash

echo "Kernel"
echo "------"
uname -a
echo ""
echo "Architecture"
echo "------"
uname -m
echo ""
echo "OS Version"
echo "------"
cat /etc/issue.net
echo ""
echo "ffmpeg Version"
echo "------"
ffmpeg -version
echo ""
echo "openshot Version"
echo "------"
dpkg-query -W openshot
echo ""
echo "ffmpeg Version"
echo "------"
dpkg-query -W ffmpeg
echo ""
echo "melt / mlt Version"
echo "------"
melt --version |grep MLT
echo ""
echo "Version libreria MLT"
echo "------"
dpkg -l | grep libmlt
echo ""
echo "Version libreria libav"
echo "------"
dpkg -l |grep libav

You copy/paste it in a file and give it the following name (or which one you want): infoopenshot.sh
After, you must open a terminal and run the following command :

sh infoopenshot.sh

And you will have this information in the output which help you to pick up the model of bug report. An example is more speaking that a long speech.

olivier@multimedia:~$ sh infoopenshot.sh
Kernel
------
Linux multimedia 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Architecture
------
x86_64

OS Version
------
Ubuntu 12.04.2 LTS

ffmpeg Version
------
ffmpeg version 0.10.2-4:0.10.2-0ubuntu0jon1
built on Mar 18 2012 09:59:38 with gcc 4.6.3
configuration: --extra-version='4:0.10.2-0ubuntu0jon1' --arch=amd64 --prefix=/usr --libdir=/usr/lib/x86_64-linux-gnu --disable-stripping --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --enable-libvpx --enable-runtime-cpudetect --enable-libfreetype --enable-vaapi --enable-frei0r --enable-gpl --enable-postproc --enable-x11grab --enable-librtmp --enable-libvo-aacenc --enable-version3 --enable-libvo-amrwbenc --enable-version3 --enable-libdc1394 --shlibdir=/usr/lib/x86_64-linux-gnu --enable-shared --disable-static
libavutil 51. 35.100 / 51. 35.100
libavcodec 53. 61.100 / 53. 61.100
libavformat 53. 32.100 / 53. 32.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 61.100 / 2. 61.100
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 6.100 / 0. 6.100
libpostproc 52. 0.100 / 52. 0.100

openshot Version
------
openshot 1.4.3+0+735+66+284~precise1

ffmpeg Version
------
ffmpeg 4:0.10.2-0ubuntu0jon1

melt / mlt Version
------
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.

Version libreria MLT
------
ii libmlt++3 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 multimedia framework (data)
rc libmlt4 0.7.6+git20120204-2 multimedia framework (runtime)
ii libmlt5 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 multimedia framework (runtime)

Version libreria libav
------
ii libav-tools 4:0.10.2-0ubuntu0jon1 Multimedia player, server, encoder and transcoder (transitional package)
ii libavahi-client3 0.6.30-5ubuntu2 Avahi client library
ii libavahi-client3:i386 0.6.30-5ubuntu2 Avahi client library
ii libavahi-common-data 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common-data:i386 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common3 0.6.30-5ubuntu2 Avahi common library
ii libavahi-common3:i386 0.6.30-5ubuntu2 Avahi common library
ii libavahi-core7 0.6.30-5ubuntu2 Avahi's embeddable mDNS/DNS-SD library
ii libavahi-glib1 0.6.30-5ubuntu2 Avahi glib integration library
ii libavahi-gobject0 0.6.30-5ubuntu2 Avahi GObject library
ii libavahi-ui-gtk3-0 0.6.30-5ubuntu2 Avahi GTK+ User interface library for GTK3
ii libavalon-framework-java 4.2.0-8 Common framework for Java server applications
ii libavc1394-0 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavc1394-0:i386 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavcodec-extra-53 4:0.10.2.0jon1 FFmpeg codec library
rc libavcodec53 4:0.10.2-0ubuntu0jon1 FFmpeg codec library
ii libavdevice53 4:0.10.2-0ubuntu0jon1 FFmpeg device handling library
ii libavfilter2 4:0.10.2-0ubuntu0jon1 FFmpeg video filtering library
ii libavformat-extra-53 4:0.10.2.0jon1 FFmpeg video postprocessing library
rc libavformat53 4:0.10.2-0ubuntu0jon1 FFmpeg file format library
ii libavidemux0 1:2.5.6-1~getdeb3~quantal Free video editor - shared libraries
ii libavutil-extra-51 4:0.10.2.0jon1 FFmpeg utility library
rc libavutil51 4:0.10.2-0ubuntu0jon1 FFmpeg utility library
olivier@multimedia:~$

Another one :

clemente@ubuntu:/tmp$ sh ./gatheropenshotdata.sh
Kernel
------
Linux ubuntu 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Architecture
------
x86_64

OS Version
------
Ubuntu 12.04.2 LTS

ffmpeg Version
------
ffmpeg version 0.8.5-4:0.8.5-0ubuntu0.12.04.1, Copyright (c) 2000-2012 the Libav developers
  built on Jan 24 2013 18:01:36 with gcc 4.6.3
*** THIS PROGRAM IS DEPRECATED ***
This program is only provided for compatibility and will be removed in a future release. Please use avconv instead.
ffmpeg 0.8.5-4:0.8.5-0ubuntu0.12.04.1
libavutil 51. 22. 1 / 51. 22. 1
libavcodec 53. 35. 0 / 53. 35. 0
libavformat 53. 21. 1 / 53. 21. 1
libavdevice 53. 2. 0 / 53. 2. 0
libavfilter 2. 15. 0 / 2. 15. 0
libswscale 2. 1. 0 / 2. 1. 0
libpostproc 52. 0. 0 / 52. 0. 0

openshot Version
------
openshot 1.4.3-1

ffmpeg Version
------
ffmpeg 4:0.8.5-0ubuntu0.12.04.1

melt / mlt Version
------
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
MLT melt 0.7.7

Version libreria MLT
------
ii libmlt++3 0.7.6+git20120204-2 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 0.8.8-0ubuntu0~sunab~precise1 multimedia framework (data)
ii libmlt4 0.7.6+git20120204-2 multimedia framework (runtime)

Version libreria libav
------
ii libav-tools 4:0.8.5-0ubuntu0.12.04.1 Multimedia player, server, encoder and transcoder
ii libavahi-client3 0.6.30-5ubuntu2 Avahi client library
ii libavahi-common-data 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common3 0.6.30-5ubuntu2 Avahi common library
ii libavahi-core7 0.6.30-5ubuntu2 Avahi's embeddable mDNS/DNS-SD library
ii libavahi-glib1 0.6.30-5ubuntu2 Avahi glib integration library
ii libavahi-gobject0 0.6.30-5ubuntu2 Avahi GObject library
ii libavahi-ui-gtk3-0 0.6.30-5ubuntu2 Avahi GTK+ User interface library for GTK3
ii libavc1394-0 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavcodec-extra-53 4:0.8.5ubuntu0.12.04.1 Libav codec library
rc libavcodec53 4:0.8.4-0ubuntu0.12.04.1 Libav codec library
ii libavdevice53 4:0.8.5-0ubuntu0.12.04.1 Libav device handling library
ii libavfilter2 4:0.8.5-0ubuntu0.12.04.1 Libav video filtering library
ii libavformat-extra-53 4:0.8.5ubuntu0.12.04.1 Libav video postprocessing library
rc libavformat53 4:0.8.4-0ubuntu0.12.04.1 Libav file format library
ii libavutil-extra-51 4:0.8.5ubuntu0.12.04.1 Libav utility library
rc libavutil51 4:0.8.4-0ubuntu0.12.04.1 Libav utility library

And with a video :

https://www.youtube.com/watch?v=HPqIpoajqOs

Version Française

Beats, le modérateur de la section espagnol de notre forum (merci à lui), a crée un script qui permet facilement de recueillir toutes les informations pour remplir le modèle de rapport de bug (FAQ 2197). Il s'agit d'un simple script Bashque vous devez copier dans un fichier. Voici le code :

#!usr/bin/bash
#script created by Beats to know informations to pick up the model of
#bug report for the Openshot project.

echo "Kernel"
echo "------"
uname -a
echo ""
echo "Architecture"
echo "------"
uname -m
echo ""
echo "OS Version"
echo "------"
cat /etc/issue.net
echo ""
echo "ffmpeg Version"
echo "------"
ffmpeg -version
echo ""
echo "openshot Version"
echo "------"
dpkg-query -W openshot
echo ""
echo "ffmpeg Version"
echo "------"
dpkg-query -W ffmpeg
echo ""
echo "melt / mlt Version"
echo "------"
melt --version |grep MLT
echo ""
echo "Version libreria MLT"
echo "------"
dpkg -l | grep libmlt
echo ""
echo "Version libreria libav"
echo "------"
dpkg -l |grep libav

Vous le copier/coller dans un fichier et vous lui donner le nom suivant (ou bien celui de votre choix) : infoopenshot.sh
Après, vous devez ouvrir un terminal et lancer la commande suivante :

sh infoopenshot.sh

Et vous obtiendrez toutes les informations dans la sortie du terminal qui vous aiderons à remplir le modèle de rapport de bug.
Un exemple est plus parlant qu'un long discours.

olivier@multimedia:~$ sh infoopenshot.sh
Kernel
------
Linux multimedia 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Architecture
------
x86_64

OS Version
------
Ubuntu 12.04.2 LTS

ffmpeg Version
------
ffmpeg version 0.10.2-4:0.10.2-0ubuntu0jon1
built on Mar 18 2012 09:59:38 with gcc 4.6.3
configuration: --extra-version='4:0.10.2-0ubuntu0jon1' --arch=amd64 --prefix=/usr --libdir=/usr/lib/x86_64-linux-gnu --disable-stripping --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --enable-libvpx --enable-runtime-cpudetect --enable-libfreetype --enable-vaapi --enable-frei0r --enable-gpl --enable-postproc --enable-x11grab --enable-librtmp --enable-libvo-aacenc --enable-version3 --enable-libvo-amrwbenc --enable-version3 --enable-libdc1394 --shlibdir=/usr/lib/x86_64-linux-gnu --enable-shared --disable-static
libavutil 51. 35.100 / 51. 35.100
libavcodec 53. 61.100 / 53. 61.100
libavformat 53. 32.100 / 53. 32.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 61.100 / 2. 61.100
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 6.100 / 0. 6.100
libpostproc 52. 0.100 / 52. 0.100

openshot Version
------
openshot 1.4.3+0+735+66+284~precise1

ffmpeg Version
------
ffmpeg 4:0.10.2-0ubuntu0jon1

melt / mlt Version
------
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.

Version libreria MLT
------
ii libmlt++3 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 multimedia framework (data)
rc libmlt4 0.7.6+git20120204-2 multimedia framework (runtime)
ii libmlt5 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 multimedia framework (runtime)

Version libreria libav
------
ii libav-tools 4:0.10.2-0ubuntu0jon1 Multimedia player, server, encoder and transcoder (transitional package)
ii libavahi-client3 0.6.30-5ubuntu2 Avahi client library
ii libavahi-client3:i386 0.6.30-5ubuntu2 Avahi client library
ii libavahi-common-data 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common-data:i386 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common3 0.6.30-5ubuntu2 Avahi common library
ii libavahi-common3:i386 0.6.30-5ubuntu2 Avahi common library
ii libavahi-core7 0.6.30-5ubuntu2 Avahi's embeddable mDNS/DNS-SD library
ii libavahi-glib1 0.6.30-5ubuntu2 Avahi glib integration library
ii libavahi-gobject0 0.6.30-5ubuntu2 Avahi GObject library
ii libavahi-ui-gtk3-0 0.6.30-5ubuntu2 Avahi GTK+ User interface library for GTK3
ii libavalon-framework-java 4.2.0-8 Common framework for Java server applications
ii libavc1394-0 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavc1394-0:i386 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavcodec-extra-53 4:0.10.2.0jon1 FFmpeg codec library
rc libavcodec53 4:0.10.2-0ubuntu0jon1 FFmpeg codec library
ii libavdevice53 4:0.10.2-0ubuntu0jon1 FFmpeg device handling library
ii libavfilter2 4:0.10.2-0ubuntu0jon1 FFmpeg video filtering library
ii libavformat-extra-53 4:0.10.2.0jon1 FFmpeg video postprocessing library
rc libavformat53 4:0.10.2-0ubuntu0jon1 FFmpeg file format library
ii libavidemux0 1:2.5.6-1~getdeb3~quantal Free video editor - shared libraries
ii libavutil-extra-51 4:0.10.2.0jon1 FFmpeg utility library
rc libavutil51 4:0.10.2-0ubuntu0jon1 FFmpeg utility library
olivier@multimedia:~$

En voici un autre :

clemente@ubuntu:/tmp$ sh ./gatheropenshotdata.sh
Kernel
------
Linux ubuntu 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Architecture
------
x86_64

OS Version
------
Ubuntu 12.04.2 LTS

ffmpeg Version
------
ffmpeg version 0.8.5-4:0.8.5-0ubuntu0.12.04.1, Copyright (c) 2000-2012 the Libav developers
  built on Jan 24 2013 18:01:36 with gcc 4.6.3
*** THIS PROGRAM IS DEPRECATED ***
This program is only provided for compatibility and will be removed in a future release. Please use avconv instead.
ffmpeg 0.8.5-4:0.8.5-0ubuntu0.12.04.1
libavutil 51. 22. 1 / 51. 22. 1
libavcodec 53. 35. 0 / 53. 35. 0
libavformat 53. 21. 1 / 53. 21. 1
libavdevice 53. 2. 0 / 53. 2. 0
libavfilter 2. 15. 0 / 2. 15. 0
libswscale 2. 1. 0 / 2. 1. 0
libpostproc 52. 0. 0 / 52. 0. 0

openshot Version
------
openshot 1.4.3-1

ffmpeg Version
------
ffmpeg 4:0.8.5-0ubuntu0.12.04.1

melt / mlt Version
------
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
MLT melt 0.7.7

Version libreria MLT
------
ii libmlt++3 0.7.6+git20120204-2 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 0.8.8-0ubuntu0~sunab~precise1 multimedia framework (data)
ii libmlt4 0.7.6+git20120204-2 multimedia framework (runtime)

Version libreria libav
------
ii libav-tools 4:0.8.5-0ubuntu0.12.04.1 Multimedia player, server, encoder and transcoder
ii libavahi-client3 0.6.30-5ubuntu2 Avahi client library
ii libavahi-common-data 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common3 0.6.30-5ubuntu2 Avahi common library
ii libavahi-core7 0.6.30-5ubuntu2 Avahi's embeddable mDNS/DNS-SD library
ii libavahi-glib1 0.6.30-5ubuntu2 Avahi glib integration library
ii libavahi-gobject0 0.6.30-5ubuntu2 Avahi GObject library
ii libavahi-ui-gtk3-0 0.6.30-5ubuntu2 Avahi GTK+ User interface library for GTK3
ii libavc1394-0 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavcodec-extra-53 4:0.8.5ubuntu0.12.04.1 Libav codec library
rc libavcodec53 4:0.8.4-0ubuntu0.12.04.1 Libav codec library
ii libavdevice53 4:0.8.5-0ubuntu0.12.04.1 Libav device handling library
ii libavfilter2 4:0.8.5-0ubuntu0.12.04.1 Libav video filtering library
ii libavformat-extra-53 4:0.8.5ubuntu0.12.04.1 Libav video postprocessing library
rc libavformat53 4:0.8.4-0ubuntu0.12.04.1 Libav file format library
ii libavutil-extra-51 4:0.8.5ubuntu0.12.04.1 Libav utility library
rc libavutil51 4:0.8.4-0ubuntu0.12.04.1 Libav utility library

Et avec une vidéo :

https://www.youtube.com/watch?v=HPqIpoajqOs

Version española

Beats, moderador de la sección española en nuestro foro (Gracias!), ha creado un script para mostrar todas las informaciones necesarias para rellenar el modelo de informe de errores (FAQ 2197). Es un script sencillo en bash que debes copiar en un archivo. A continuación el código:

#!usr/bin/bash
#script created by Beats to know informations to pick up the model of
#bug report for the Openshot project.

echo "Kernel"
echo "------"
uname -a
echo ""
echo "Architecture"
echo "------"
uname -m
echo ""
echo "OS Version"
echo "------"
cat /etc/issue.net
echo ""
echo "ffmpeg Version"
echo "------"
ffmpeg -version
echo ""
echo "openshot Version"
echo "------"
dpkg-query -W openshot
echo ""
echo "ffmpeg Version"
echo "------"
dpkg-query -W ffmpeg
echo ""
echo "melt / mlt Version"
echo "------"
melt --version |grep MLT
echo ""
echo "Version libreria MLT"
echo "------"
dpkg -l | grep libmlt
echo ""
echo "Version libreria libav"
echo "------"
dpkg -l |grep libav

Copia el código y pegalo en un archivo de texto y dale el siguiente nombre (o el que tu quieras): infoopenshot.sh

Despues, abre un terminal y ejecuta el siguiente comando :

sh infoopenshot.sh

El script mostrará en pantalla toda la información, lo que nos ayudará a encontrar la información necesaria para el modelo de informe de fallos. Un ejemplo es mas ilustrativo que un largo discurso:

olivier@multimedia:~$ sh infoopenshot.sh
Kernel
------
Linux multimedia 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Architecture
------
x86_64

OS Version
------
Ubuntu 12.04.2 LTS

ffmpeg Version
------
ffmpeg version 0.10.2-4:0.10.2-0ubuntu0jon1
built on Mar 18 2012 09:59:38 with gcc 4.6.3
configuration: --extra-version='4:0.10.2-0ubuntu0jon1' --arch=amd64 --prefix=/usr --libdir=/usr/lib/x86_64-linux-gnu --disable-stripping --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --enable-libvpx --enable-runtime-cpudetect --enable-libfreetype --enable-vaapi --enable-frei0r --enable-gpl --enable-postproc --enable-x11grab --enable-librtmp --enable-libvo-aacenc --enable-version3 --enable-libvo-amrwbenc --enable-version3 --enable-libdc1394 --shlibdir=/usr/lib/x86_64-linux-gnu --enable-shared --disable-static
libavutil 51. 35.100 / 51. 35.100
libavcodec 53. 61.100 / 53. 61.100
libavformat 53. 32.100 / 53. 32.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 61.100 / 2. 61.100
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 6.100 / 0. 6.100
libpostproc 52. 0.100 / 52. 0.100

openshot Version
------
openshot 1.4.3+0+735+66+284~precise1

ffmpeg Version
------
ffmpeg 4:0.10.2-0ubuntu0jon1

melt / mlt Version
------
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.

Version libreria MLT
------
ii libmlt++3 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 multimedia framework (data)
rc libmlt4 0.7.6+git20120204-2 multimedia framework (runtime)
ii libmlt5 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 multimedia framework (runtime)

Version libreria libav
------
ii libav-tools 4:0.10.2-0ubuntu0jon1 Multimedia player, server, encoder and transcoder (transitional package)
ii libavahi-client3 0.6.30-5ubuntu2 Avahi client library
ii libavahi-client3:i386 0.6.30-5ubuntu2 Avahi client library
ii libavahi-common-data 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common-data:i386 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common3 0.6.30-5ubuntu2 Avahi common library
ii libavahi-common3:i386 0.6.30-5ubuntu2 Avahi common library
ii libavahi-core7 0.6.30-5ubuntu2 Avahi's embeddable mDNS/DNS-SD library
ii libavahi-glib1 0.6.30-5ubuntu2 Avahi glib integration library
ii libavahi-gobject0 0.6.30-5ubuntu2 Avahi GObject library
ii libavahi-ui-gtk3-0 0.6.30-5ubuntu2 Avahi GTK+ User interface library for GTK3
ii libavalon-framework-java 4.2.0-8 Common framework for Java server applications
ii libavc1394-0 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavc1394-0:i386 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavcodec-extra-53 4:0.10.2.0jon1 FFmpeg codec library
rc libavcodec53 4:0.10.2-0ubuntu0jon1 FFmpeg codec library
ii libavdevice53 4:0.10.2-0ubuntu0jon1 FFmpeg device handling library
ii libavfilter2 4:0.10.2-0ubuntu0jon1 FFmpeg video filtering library
ii libavformat-extra-53 4:0.10.2.0jon1 FFmpeg video postprocessing library
rc libavformat53 4:0.10.2-0ubuntu0jon1 FFmpeg file format library
ii libavidemux0 1:2.5.6-1~getdeb3~quantal Free video editor - shared libraries
ii libavutil-extra-51 4:0.10.2.0jon1 FFmpeg utility library
rc libavutil51 4:0.10.2-0ubuntu0jon1 FFmpeg utility library
olivier@multimedia:~$

Y otro diferente :

clemente@ubuntu:/tmp$ sh ./gatheropenshotdata.sh
Kernel
------
Linux ubuntu 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Architecture
------
x86_64

OS Version
------
Ubuntu 12.04.2 LTS

ffmpeg Version
------
ffmpeg version 0.8.5-4:0.8.5-0ubuntu0.12.04.1, Copyright (c) 2000-2012 the Libav developers
built on Jan 24 2013 18:01:36 with gcc 4.6.3
*** THIS PROGRAM IS DEPRECATED ***
This program is only provided for compatibility and will be removed in a future release. Please use avconv instead.
ffmpeg 0.8.5-4:0.8.5-0ubuntu0.12.04.1
libavutil 51. 22. 1 / 51. 22. 1
libavcodec 53. 35. 0 / 53. 35. 0
libavformat 53. 21. 1 / 53. 21. 1
libavdevice 53. 2. 0 / 53. 2. 0
libavfilter 2. 15. 0 / 2. 15. 0
libswscale 2. 1. 0 / 2. 1. 0
libpostproc 52. 0. 0 / 52. 0. 0

openshot Version
------
openshot 1.4.3-1

ffmpeg Version
------
ffmpeg 4:0.8.5-0ubuntu0.12.04.1

melt / mlt Version
------
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
MLT melt 0.7.7

Version libreria MLT
------
ii libmlt++3 0.7.6+git20120204-2 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 0.8.8-0ubuntu0~sunab~precise1 multimedia framework (data)
ii libmlt4 0.7.6+git20120204-2 multimedia framework (runtime)

Version libreria libav
------
ii libav-tools 4:0.8.5-0ubuntu0.12.04.1 Multimedia player, server, encoder and transcoder
ii libavahi-client3 0.6.30-5ubuntu2 Avahi client library
ii libavahi-common-data 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common3 0.6.30-5ubuntu2 Avahi common library
ii libavahi-core7 0.6.30-5ubuntu2 Avahi's embeddable mDNS/DNS-SD library
ii libavahi-glib1 0.6.30-5ubuntu2 Avahi glib integration library
ii libavahi-gobject0 0.6.30-5ubuntu2 Avahi GObject library
ii libavahi-ui-gtk3-0 0.6.30-5ubuntu2 Avahi GTK+ User interface library for GTK3
ii libavc1394-0 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavcodec-extra-53 4:0.8.5ubuntu0.12.04.1 Libav codec library
rc libavcodec53 4:0.8.4-0ubuntu0.12.04.1 Libav codec library
ii libavdevice53 4:0.8.5-0ubuntu0.12.04.1 Libav device handling library
ii libavfilter2 4:0.8.5-0ubuntu0.12.04.1 Libav video filtering library
ii libavformat-extra-53 4:0.8.5ubuntu0.12.04.1 Libav video postprocessing library
rc libavformat53 4:0.8.4-0ubuntu0.12.04.1 Libav file format library
ii libavutil-extra-51 4:0.8.5ubuntu0.12.04.1 Libav utility library
rc libavutil51 4:0.8.4-0ubuntu0.12.04.1 Libav utility library

Beats, moderador de la sección española en nuestro foro (Gracias!), ha creado un script para mostrar todas las informaciones necesarias para rellenar el modelo de informe de errores (FAQ 2197). Es un script sencillo en bash que debes copiar en un archivo. A continuación el código:

#!usr/bin/bash
#script created by Beats to know informations to pick up the model of
#bug report for the Openshot project.

echo "Kernel"
echo "------"
uname -a
echo ""
echo "Architecture"
echo "------"
uname -m
echo ""
echo "OS Version"
echo "------"
cat /etc/issue.net
echo ""
echo "ffmpeg Version"
echo "------"
ffmpeg -version
echo ""
echo "openshot Version"
echo "------"
dpkg-query -W openshot
echo ""
echo "ffmpeg Version"
echo "------"
dpkg-query -W ffmpeg
echo ""
echo "melt / mlt Version"
echo "------"
melt --version |grep MLT
echo ""
echo "Version libreria MLT"
echo "------"
dpkg -l | grep libmlt
echo ""
echo "Version libreria libav"
echo "------"
dpkg -l |grep libav

Copia el código y pegalo en un archivo de texto y dale el siguiente nombre (o el que tu quieras): infoopenshot.sh

Despues, abre un terminal y ejecuta el siguiente comando :

sh infoopenshot.sh

El script mostrará en pantalla toda la información, lo que nos ayudará a encontrar la información necesaria para el modelo de informe de fallos. Un ejemplo es mas ilustrativo que un largo discurso:

olivier@multimedia:~$ sh infoopenshot.sh
Kernel
------
Linux multimedia 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Architecture
------
x86_64

OS Version
------
Ubuntu 12.04.2 LTS

ffmpeg Version
------
ffmpeg version 0.10.2-4:0.10.2-0ubuntu0jon1
built on Mar 18 2012 09:59:38 with gcc 4.6.3
configuration: --extra-version='4:0.10.2-0ubuntu0jon1' --arch=amd64 --prefix=/usr --libdir=/usr/lib/x86_64-linux-gnu --disable-stripping --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --enable-libvpx --enable-runtime-cpudetect --enable-libfreetype --enable-vaapi --enable-frei0r --enable-gpl --enable-postproc --enable-x11grab --enable-librtmp --enable-libvo-aacenc --enable-version3 --enable-libvo-amrwbenc --enable-version3 --enable-libdc1394 --shlibdir=/usr/lib/x86_64-linux-gnu --enable-shared --disable-static
libavutil 51. 35.100 / 51. 35.100
libavcodec 53. 61.100 / 53. 61.100
libavformat 53. 32.100 / 53. 32.100
libavdevice 53. 4.100 / 53. 4.100
libavfilter 2. 61.100 / 2. 61.100
libswscale 2. 1.100 / 2. 1.100
libswresample 0. 6.100 / 0. 6.100
libpostproc 52. 0.100 / 52. 0.100

openshot Version
------
openshot 1.4.3+0+735+66+284~precise1

ffmpeg Version
------
ffmpeg 4:0.10.2-0ubuntu0jon1

melt / mlt Version
------
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.

Version libreria MLT
------
ii libmlt++3 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 multimedia framework (data)
rc libmlt4 0.7.6+git20120204-2 multimedia framework (runtime)
ii libmlt5 0.8.8+git20130220.f03d0f54-0ubuntu0~sunab~precise1 multimedia framework (runtime)

Version libreria libav
------
ii libav-tools 4:0.10.2-0ubuntu0jon1 Multimedia player, server, encoder and transcoder (transitional package)
ii libavahi-client3 0.6.30-5ubuntu2 Avahi client library
ii libavahi-client3:i386 0.6.30-5ubuntu2 Avahi client library
ii libavahi-common-data 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common-data:i386 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common3 0.6.30-5ubuntu2 Avahi common library
ii libavahi-common3:i386 0.6.30-5ubuntu2 Avahi common library
ii libavahi-core7 0.6.30-5ubuntu2 Avahi's embeddable mDNS/DNS-SD library
ii libavahi-glib1 0.6.30-5ubuntu2 Avahi glib integration library
ii libavahi-gobject0 0.6.30-5ubuntu2 Avahi GObject library
ii libavahi-ui-gtk3-0 0.6.30-5ubuntu2 Avahi GTK+ User interface library for GTK3
ii libavalon-framework-java 4.2.0-8 Common framework for Java server applications
ii libavc1394-0 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavc1394-0:i386 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavcodec-extra-53 4:0.10.2.0jon1 FFmpeg codec library
rc libavcodec53 4:0.10.2-0ubuntu0jon1 FFmpeg codec library
ii libavdevice53 4:0.10.2-0ubuntu0jon1 FFmpeg device handling library
ii libavfilter2 4:0.10.2-0ubuntu0jon1 FFmpeg video filtering library
ii libavformat-extra-53 4:0.10.2.0jon1 FFmpeg video postprocessing library
rc libavformat53 4:0.10.2-0ubuntu0jon1 FFmpeg file format library
ii libavidemux0 1:2.5.6-1~getdeb3~quantal Free video editor - shared libraries
ii libavutil-extra-51 4:0.10.2.0jon1 FFmpeg utility library
rc libavutil51 4:0.10.2-0ubuntu0jon1 FFmpeg utility library
olivier@multimedia:~$

Y otro diferente :

clemente@ubuntu:/tmp$ sh ./gatheropenshotdata.sh
Kernel
------
Linux ubuntu 3.2.0-38-generic #61-Ubuntu SMP Tue Feb 19 12:18:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Architecture
------
x86_64

OS Version
------
Ubuntu 12.04.2 LTS

ffmpeg Version
------
ffmpeg version 0.8.5-4:0.8.5-0ubuntu0.12.04.1, Copyright (c) 2000-2012 the Libav developers
built on Jan 24 2013 18:01:36 with gcc 4.6.3
*** THIS PROGRAM IS DEPRECATED ***
This program is only provided for compatibility and will be removed in a future release. Please use avconv instead.
ffmpeg 0.8.5-4:0.8.5-0ubuntu0.12.04.1
libavutil 51. 22. 1 / 51. 22. 1
libavcodec 53. 35. 0 / 53. 35. 0
libavformat 53. 21. 1 / 53. 21. 1
libavdevice 53. 2. 0 / 53. 2. 0
libavfilter 2. 15. 0 / 2. 15. 0
libswscale 2. 1. 0 / 2. 1. 0
libpostproc 52. 0. 0 / 52. 0. 0

openshot Version
------
openshot 1.4.3-1

ffmpeg Version
------
ffmpeg 4:0.8.5-0ubuntu0.12.04.1

melt / mlt Version
------
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
MLT melt 0.7.7

Version libreria MLT
------
ii libmlt++3 0.7.6+git20120204-2 MLT multimedia framework C++ wrapper (runtime)
ii libmlt-data 0.8.8-0ubuntu0~sunab~precise1 multimedia framework (data)
ii libmlt4 0.7.6+git20120204-2 multimedia framework (runtime)

Version libreria libav
------
ii libav-tools 4:0.8.5-0ubuntu0.12.04.1 Multimedia player, server, encoder and transcoder
ii libavahi-client3 0.6.30-5ubuntu2 Avahi client library
ii libavahi-common-data 0.6.30-5ubuntu2 Avahi common data files
ii libavahi-common3 0.6.30-5ubuntu2 Avahi common library
ii libavahi-core7 0.6.30-5ubuntu2 Avahi's embeddable mDNS/DNS-SD library
ii libavahi-glib1 0.6.30-5ubuntu2 Avahi glib integration library
ii libavahi-gobject0 0.6.30-5ubuntu2 Avahi GObject library
ii libavahi-ui-gtk3-0 0.6.30-5ubuntu2 Avahi GTK+ User interface library for GTK3
ii libavc1394-0 0.5.3-1ubuntu2 control IEEE 1394 audio/video devices
ii libavcodec-extra-53 4:0.8.5ubuntu0.12.04.1 Libav codec library
rc libavcodec53 4:0.8.4-0ubuntu0.12.04.1 Libav codec library
ii libavdevice53 4:0.8.5-0ubuntu0.12.04.1 Libav device handling library
ii libavfilter2 4:0.8.5-0ubuntu0.12.04.1 Libav video filtering library
ii libavformat-extra-53 4:0.8.5ubuntu0.12.04.1 Libav video postprocessing library
rc libavformat53 4:0.8.4-0ubuntu0.12.04.1 Libav file format library
ii libavutil-extra-51 4:0.8.5ubuntu0.12.04.1 Libav utility library
rc libavutil51 4:0.8.4-0ubuntu0.12.04.1 Libav utility library

Y con un video :

https://www.youtube.com/watch?v=HPqIpoajqOs